import java.util.*;
import java.lang.*;
import java.io.*;

class sogutMBWRTest{
  public static void main(String args[]) throws IOException
  {
    double t;
	  double v=24.889413245432106;
    //double P=100.0;
    sogutMBWR r1 = new sogutMBWR("R134a");
    for(t=-100;t<100.0;t+=1.0)
        System.out.println(t+" "+r1.Ps(t)+"vls="+r1.vsl_t(t)+"vgs="+r1.vsg_t(t)+"hfg = "+r1.hfg(t)+"sfg = "+r1.sfg(t)+"hls="+r1.hsl_t(t)+"hgs="+r1.hsg_t(t)+"sls="+r1.ssl_t(t)+"sgs="+r1.ssg_t(t)); 
    /*
        t=-100;
    double P=r1.P(t, v);
    double v1=r1.v_tp1(t,P);  
    double x=1.0/P;
    System.out.println("d="+x);
    System.out.println(r1.rd.toString());
    System.out.println("P ="+P+"kPa");
    System.out.println("t ="+t+" deg C");
    System.out.println("v = "+v+"m^3/kg");
    System.out.println("v1 = "+v1+"m^3/kg");
    P=r1.P(t,v);
    double Ps=r1.Ps(t);
    System.out.println("yeniden");
    System.out.println("P ="+P+"kPa");
    System.out.println("t ="+r1.t(P,v)+"deg C");
    System.out.println("Ps ="+Ps);
    System.out.println("Ps from P equation ="+r1.P(t,r1.vgs(t)));
    System.out.println("v = "+v+"m^3/kg");
    System.out.println("vgs="+r1.vgs(t));
    System.out.println("vlg="+r1.vls(t));
    //for(t=-100;t<=183;t++)
    //   System.out.println(t+" "+r1.vls(t)+" "+r1.vgs(t)+" "+r1.rols(t)+" "+r1.rogs(t));
    //System.out.println("dPsdT="+r1.dPsdT(t));
    //System.out.println("dPsdTNUM="+r1.dPsdTNUM(t));
*/
  }
}
